Conversations API

Conversations API

1.0.2OAS 3.1

Query conversations, recordings, annotations, notes, and debug chat.

API Base URL
  • Server 1:https://api.{region}.poly.ai
    Variables
    region:
Security
polyApiKey (apiKey)

An API key is a token that you provide when making API calls. Include the token in a header parameter called X-API-KEY.

Example: X-API-KEY: 123

List conversations for a project

get
https://api.dev.poly.ai/v1/agents/{agentId}/conversations

Query Parameters

limitinteger

Max number of conversations to return

Default:50

>= 1

offsetinteger

Number of conversations to skip

Default:0

>= 0

Path Parameters

agentIdstringrequired

Response

application/json

Successful response

GetConversationsResponse

A page of conversations matching the query, plus total count and
limit/offset pagination.

conversationsarray[object]required

Public-facing conversation summary (used in list endpoint).

Show Child Parameters
countintegerrequired
limitintegerrequired
offsetintegerrequired
get/v1/agents/{agentId}/conversations
 
application/json

Get a conversation by ID

get
https://api.dev.poly.ai/v1/agents/{agentId}/conversations/{conversationId}

Path Parameters

agentIdstringrequired
conversationIdstringrequired

Response

application/json

Successful response

ConversationDetailResponse

Public-facing conversation detail (includes turns, metrics).

conversationIdstringrequired
accountIdstringrequired
projectIdstringrequired
createdAtstring
startedAtstring
finishedAtstring
channelstring
fromNumberstring
toNumberstring
languagestring
variantIdstring
clientEnvstring
totalDurationinteger
polyaiDurationinteger
durationinteger
inProgressboolean
handoffboolean
handoffDestinationstring
handoffReasonstring
directionstring
tagsarray[string]
polyScorenumber
shortSummarystring
deploymentIdstring
notestring
audioUrlstring
turnsarray[object]
metricsobject
functionEventsobject
get/v1/agents/{agentId}/conversations/{conversationId}
 
application/json